Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/VisibleNestedPaneCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/VisibleNestedPaneCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/VisibleNestedPaneCollection.cs	(revision 4068)
@@ -1,168 +1,139 @@
-using System;
 using System.Collections.Generic;
 using System.Collections.ObjectModel;
 using System.Drawing;
-using System.Windows.Forms;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	public sealed class VisibleNestedPaneCollection : ReadOnlyCollection<DockPane>
-	{
-		private NestedPaneCollection m_nestedPanes;
+namespace WeifenLuo.WinFormsUI.Docking {
+  public sealed class VisibleNestedPaneCollection : ReadOnlyCollection<DockPane> {
+    private NestedPaneCollection m_nestedPanes;
 
-        internal VisibleNestedPaneCollection(NestedPaneCollection nestedPanes)
-            : base(new List<DockPane>())
-        {
-            m_nestedPanes = nestedPanes;
+    internal VisibleNestedPaneCollection(NestedPaneCollection nestedPanes)
+      : base(new List<DockPane>()) {
+      m_nestedPanes = nestedPanes;
+    }
+
+    public NestedPaneCollection NestedPanes {
+      get { return m_nestedPanes; }
+    }
+
+    public INestedPanesContainer Container {
+      get { return NestedPanes.Container; }
+    }
+
+    public DockState DockState {
+      get { return NestedPanes.DockState; }
+    }
+
+    public bool IsFloat {
+      get { return NestedPanes.IsFloat; }
+    }
+
+    internal void Refresh() {
+      Items.Clear();
+      for (int i = 0; i < NestedPanes.Count; i++) {
+        DockPane pane = NestedPanes[i];
+        NestedDockingStatus status = pane.NestedDockingStatus;
+        status.SetDisplayingStatus(true, status.PreviousPane, status.Alignment, status.Proportion);
+        Items.Add(pane);
+      }
+
+      foreach (DockPane pane in NestedPanes)
+        if (pane.DockState != DockState || pane.IsHidden) {
+          pane.Bounds = Rectangle.Empty;
+          pane.SplitterBounds = Rectangle.Empty;
+          Remove(pane);
         }
 
-		public NestedPaneCollection NestedPanes
-		{
-			get	{	return m_nestedPanes;	}
-		}
+      CalculateBounds();
 
-		public INestedPanesContainer Container
-		{
-			get	{	return NestedPanes.Container;	}
-		}
+      foreach (DockPane pane in this) {
+        NestedDockingStatus status = pane.NestedDockingStatus;
+        pane.Bounds = status.PaneBounds;
+        pane.SplitterBounds = status.SplitterBounds;
+        pane.SplitterAlignment = status.Alignment;
+      }
+    }
 
-		public DockState DockState
-		{
-			get	{	return NestedPanes.DockState;	}
-		}
+    private void Remove(DockPane pane) {
+      if (!Contains(pane))
+        return;
 
-		public bool IsFloat
-		{
-			get	{	return NestedPanes.IsFloat;	}
-		}
+      NestedDockingStatus statusPane = pane.NestedDockingStatus;
+      DockPane lastNestedPane = null;
+      for (int i = Count - 1; i > IndexOf(pane); i--) {
+        if (this[i].NestedDockingStatus.PreviousPane == pane) {
+          lastNestedPane = this[i];
+          break;
+        }
+      }
 
-		internal void Refresh()
-		{
-			Items.Clear();
-			for (int i=0; i<NestedPanes.Count; i++)
-			{
-				DockPane pane = NestedPanes[i];
-				NestedDockingStatus status = pane.NestedDockingStatus;
-				status.SetDisplayingStatus(true, status.PreviousPane, status.Alignment, status.Proportion);
-				Items.Add(pane);
-			}
+      if (lastNestedPane != null) {
+        int indexLastNestedPane = IndexOf(lastNestedPane);
+        Items.Remove(lastNestedPane);
+        Items[IndexOf(pane)] = lastNestedPane;
+        NestedDockingStatus lastNestedDock = lastNestedPane.NestedDockingStatus;
+        lastNestedDock.SetDisplayingStatus(true, statusPane.DisplayingPreviousPane, statusPane.DisplayingAlignment, statusPane.DisplayingProportion);
+        for (int i = indexLastNestedPane - 1; i > IndexOf(lastNestedPane); i--) {
+          NestedDockingStatus status = this[i].NestedDockingStatus;
+          if (status.PreviousPane == pane)
+            status.SetDisplayingStatus(true, lastNestedPane, status.DisplayingAlignment, status.DisplayingProportion);
+        }
+      } else
+        Items.Remove(pane);
 
-			foreach (DockPane pane in NestedPanes)
-				if (pane.DockState != DockState || pane.IsHidden)
-				{
-					pane.Bounds = Rectangle.Empty;
-					pane.SplitterBounds = Rectangle.Empty;
-					Remove(pane);
-				}
+      statusPane.SetDisplayingStatus(false, null, DockAlignment.Left, 0.5);
+    }
 
-			CalculateBounds();
+    private void CalculateBounds() {
+      if (Count == 0)
+        return;
 
-			foreach (DockPane pane in this)
-			{
-				NestedDockingStatus status = pane.NestedDockingStatus;
-				pane.Bounds = status.PaneBounds;
-				pane.SplitterBounds = status.SplitterBounds;
-				pane.SplitterAlignment = status.Alignment;
-			}
-		}
+      this[0].NestedDockingStatus.SetDisplayingBounds(Container.DisplayingRectangle, Container.DisplayingRectangle, Rectangle.Empty);
 
-		private void Remove(DockPane pane)
-		{
-			if (!Contains(pane))
-				return;
+      for (int i = 1; i < Count; i++) {
+        DockPane pane = this[i];
+        NestedDockingStatus status = pane.NestedDockingStatus;
+        DockPane prevPane = status.DisplayingPreviousPane;
+        NestedDockingStatus statusPrev = prevPane.NestedDockingStatus;
 
-			NestedDockingStatus statusPane = pane.NestedDockingStatus;
-			DockPane lastNestedPane = null;
-			for (int i=Count - 1; i> IndexOf(pane); i--)
-			{
-				if (this[i].NestedDockingStatus.PreviousPane == pane)
-				{
-					lastNestedPane = this[i];
-					break;
-				}
-			}
+        Rectangle rect = statusPrev.PaneBounds;
+        bool bVerticalSplitter = (status.DisplayingAlignment == DockAlignment.Left || status.DisplayingAlignment == DockAlignment.Right);
 
-			if (lastNestedPane != null)
-			{
-				int indexLastNestedPane = IndexOf(lastNestedPane);
-				Items.Remove(lastNestedPane);
-				Items[IndexOf(pane)] = lastNestedPane;
-				NestedDockingStatus lastNestedDock = lastNestedPane.NestedDockingStatus;
-				lastNestedDock.SetDisplayingStatus(true, statusPane.DisplayingPreviousPane, statusPane.DisplayingAlignment, statusPane.DisplayingProportion);
-				for (int i=indexLastNestedPane - 1; i>IndexOf(lastNestedPane); i--)
-				{
-					NestedDockingStatus status = this[i].NestedDockingStatus;
-					if (status.PreviousPane == pane)
-						status.SetDisplayingStatus(true, lastNestedPane, status.DisplayingAlignment, status.DisplayingProportion);
-				}
-			}
-			else
-				Items.Remove(pane);
+        Rectangle rectThis = rect;
+        Rectangle rectPrev = rect;
+        Rectangle rectSplitter = rect;
+        if (status.DisplayingAlignment == DockAlignment.Left) {
+          rectThis.Width = (int)((double)rect.Width * status.DisplayingProportion) - (Measures.SplitterSize / 2);
+          rectSplitter.X = rectThis.X + rectThis.Width;
+          rectSplitter.Width = Measures.SplitterSize;
+          rectPrev.X = rectSplitter.X + rectSplitter.Width;
+          rectPrev.Width = rect.Width - rectThis.Width - rectSplitter.Width;
+        } else if (status.DisplayingAlignment == DockAlignment.Right) {
+          rectPrev.Width = (rect.Width - (int)((double)rect.Width * status.DisplayingProportion)) - (Measures.SplitterSize / 2);
+          rectSplitter.X = rectPrev.X + rectPrev.Width;
+          rectSplitter.Width = Measures.SplitterSize;
+          rectThis.X = rectSplitter.X + rectSplitter.Width;
+          rectThis.Width = rect.Width - rectPrev.Width - rectSplitter.Width;
+        } else if (status.DisplayingAlignment == DockAlignment.Top) {
+          rectThis.Height = (int)((double)rect.Height * status.DisplayingProportion) - (Measures.SplitterSize / 2);
+          rectSplitter.Y = rectThis.Y + rectThis.Height;
+          rectSplitter.Height = Measures.SplitterSize;
+          rectPrev.Y = rectSplitter.Y + rectSplitter.Height;
+          rectPrev.Height = rect.Height - rectThis.Height - rectSplitter.Height;
+        } else if (status.DisplayingAlignment == DockAlignment.Bottom) {
+          rectPrev.Height = (rect.Height - (int)((double)rect.Height * status.DisplayingProportion)) - (Measures.SplitterSize / 2);
+          rectSplitter.Y = rectPrev.Y + rectPrev.Height;
+          rectSplitter.Height = Measures.SplitterSize;
+          rectThis.Y = rectSplitter.Y + rectSplitter.Height;
+          rectThis.Height = rect.Height - rectPrev.Height - rectSplitter.Height;
+        } else
+          rectThis = Rectangle.Empty;
 
-			statusPane.SetDisplayingStatus(false, null, DockAlignment.Left, 0.5);
-		}
-
-		private void CalculateBounds()
-		{
-			if (Count == 0)
-				return;
-
-			this[0].NestedDockingStatus.SetDisplayingBounds(Container.DisplayingRectangle, Container.DisplayingRectangle, Rectangle.Empty);
-
-			for (int i=1; i<Count; i++)
-			{
-				DockPane pane = this[i];
-				NestedDockingStatus status = pane.NestedDockingStatus;
-				DockPane prevPane = status.DisplayingPreviousPane;
-				NestedDockingStatus statusPrev = prevPane.NestedDockingStatus;
-
-				Rectangle rect = statusPrev.PaneBounds;
-				bool bVerticalSplitter = (status.DisplayingAlignment == DockAlignment.Left || status.DisplayingAlignment == DockAlignment.Right);
-
-				Rectangle rectThis = rect;
-				Rectangle rectPrev = rect;
-				Rectangle rectSplitter = rect;
-				if (status.DisplayingAlignment == DockAlignment.Left)
-				{
-					rectThis.Width = (int)((double)rect.Width * status.DisplayingProportion) - (Measures.SplitterSize / 2);
-					rectSplitter.X = rectThis.X + rectThis.Width;
-					rectSplitter.Width = Measures.SplitterSize;
-					rectPrev.X = rectSplitter.X + rectSplitter.Width;
-					rectPrev.Width = rect.Width - rectThis.Width - rectSplitter.Width;
-				}
-				else if (status.DisplayingAlignment == DockAlignment.Right)
-				{
-					rectPrev.Width = (rect.Width - (int)((double)rect.Width * status.DisplayingProportion)) - (Measures.SplitterSize / 2);
-					rectSplitter.X = rectPrev.X + rectPrev.Width;
-					rectSplitter.Width = Measures.SplitterSize;
-					rectThis.X = rectSplitter.X + rectSplitter.Width;
-					rectThis.Width = rect.Width - rectPrev.Width - rectSplitter.Width;
-				}
-				else if (status.DisplayingAlignment == DockAlignment.Top)
-				{
-					rectThis.Height = (int)((double)rect.Height * status.DisplayingProportion) - (Measures.SplitterSize / 2);
-					rectSplitter.Y = rectThis.Y + rectThis.Height;
-					rectSplitter.Height = Measures.SplitterSize;
-					rectPrev.Y = rectSplitter.Y + rectSplitter.Height;
-					rectPrev.Height = rect.Height - rectThis.Height - rectSplitter.Height;
-				}
-				else if (status.DisplayingAlignment == DockAlignment.Bottom)
-				{
-					rectPrev.Height = (rect.Height - (int)((double)rect.Height * status.DisplayingProportion)) - (Measures.SplitterSize / 2);
-					rectSplitter.Y = rectPrev.Y + rectPrev.Height;
-					rectSplitter.Height = Measures.SplitterSize;
-					rectThis.Y = rectSplitter.Y + rectSplitter.Height;
-					rectThis.Height = rect.Height - rectPrev.Height - rectSplitter.Height;
-				}
-				else
-					rectThis = Rectangle.Empty;
-
-				rectSplitter.Intersect(rect);
-				rectThis.Intersect(rect);
-				rectPrev.Intersect(rect);
-				status.SetDisplayingBounds(rect, rectThis, rectSplitter);
-				statusPrev.SetDisplayingBounds(statusPrev.LogicalBounds, rectPrev, statusPrev.SplitterBounds);
-			}
-		}
-	}
+        rectSplitter.Intersect(rect);
+        rectThis.Intersect(rect);
+        rectPrev.Intersect(rect);
+        status.SetDisplayingBounds(rect, rectThis, rectSplitter);
+        statusPrev.SetDisplayingBounds(statusPrev.LogicalBounds, rectPrev, statusPrev.SplitterBounds);
+      }
+    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Win32/NativeMethods.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Win32/NativeMethods.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Win32/NativeMethods.cs	(revision 4068)
@@ -1,64 +1,62 @@
 using System;
+using System.Diagnostics.CodeAnalysis;
 using System.Drawing;
 using System.Runtime.InteropServices;
-using System.Diagnostics.CodeAnalysis;
 using WeifenLuo.WinFormsUI.Docking.Win32;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-    internal static class NativeMethods
-    {
-		[DllImport("User32.dll", CharSet=CharSet.Auto)]
-        [return: MarshalAs(UnmanagedType.Bool)]
-		public static extern bool DragDetect(IntPtr hWnd, Point pt);
+namespace WeifenLuo.WinFormsUI.Docking {
+  internal static class NativeMethods {
+    [DllImport("User32.dll", CharSet = CharSet.Auto)]
+    [return: MarshalAs(UnmanagedType.Bool)]
+    public static extern bool DragDetect(IntPtr hWnd, Point pt);
 
-        [DllImport("User32.dll", CharSet=CharSet.Auto)]
-        public static extern IntPtr GetFocus();
+    [DllImport("User32.dll", CharSet = CharSet.Auto)]
+    public static extern IntPtr GetFocus();
 
-        [DllImport("User32.dll", CharSet=CharSet.Auto)]
-        public static extern IntPtr SetFocus(IntPtr hWnd);
+    [DllImport("User32.dll", CharSet = CharSet.Auto)]
+    public static extern IntPtr SetFocus(IntPtr hWnd);
 
-        [DllImport("User32.dll", CharSet=CharSet.Auto)]
-        [return: MarshalAs(UnmanagedType.Bool)]
-        public static extern bool PostMessage(IntPtr hWnd, int Msg, uint wParam, uint lParam);
+    [DllImport("User32.dll", CharSet = CharSet.Auto)]
+    [return: MarshalAs(UnmanagedType.Bool)]
+    public static extern bool PostMessage(IntPtr hWnd, int Msg, uint wParam, uint lParam);
 
-        [DllImport("User32.dll", CharSet=CharSet.Auto)]
-        public static extern uint SendMessage(IntPtr hWnd, int Msg, uint wParam, uint lParam);
+    [DllImport("User32.dll", CharSet = CharSet.Auto)]
+    public static extern uint SendMessage(IntPtr hWnd, int Msg, uint wParam, uint lParam);
 
-        [DllImport("User32.dll", CharSet=CharSet.Auto)]
-        public static extern int ShowWindow(IntPtr hWnd, short cmdShow);
+    [DllImport("User32.dll", CharSet = CharSet.Auto)]
+    public static extern int ShowWindow(IntPtr hWnd, short cmdShow);
 
-        [DllImport("User32.dll", CharSet=CharSet.Auto)]
-        public static extern int SetWindowPos(IntPtr hWnd, IntPtr hWndAfter, int X, int Y, int Width, int Height, FlagsSetWindowPos flags);
+    [DllImport("User32.dll", CharSet = CharSet.Auto)]
+    public static extern int SetWindowPos(IntPtr hWnd, IntPtr hWndAfter, int X, int Y, int Width, int Height, FlagsSetWindowPos flags);
 
-		[DllImport("user32.dll", CharSet = CharSet.Auto)]
-		public static extern int GetWindowLong(IntPtr hWnd, int Index);
+    [DllImport("user32.dll", CharSet = CharSet.Auto)]
+    public static extern int GetWindowLong(IntPtr hWnd, int Index);
 
-		[DllImport("user32.dll", CharSet = CharSet.Auto)]
-		public static extern int SetWindowLong(IntPtr hWnd, int Index, int Value);
+    [DllImport("user32.dll", CharSet = CharSet.Auto)]
+    public static extern int SetWindowLong(IntPtr hWnd, int Index, int Value);
 
-		[DllImport("user32.dll", CharSet=CharSet.Auto)]
-		public static extern int ShowScrollBar(IntPtr hWnd, int wBar, int bShow);
+    [DllImport("user32.dll", CharSet = CharSet.Auto)]
+    public static extern int ShowScrollBar(IntPtr hWnd, int wBar, int bShow);
 
-		[DllImport("user32.dll", CharSet=CharSet.Auto)]
-        //*********************************
-        // FxCop bug, suppress the message
-        //*********************************
-        [SuppressMessage("Microsoft.Portability", "CA1901:PInvokeDeclarationsShouldBePortable", MessageId = "0")]
-		public static extern IntPtr WindowFromPoint(Point point);
+    [DllImport("user32.dll", CharSet = CharSet.Auto)]
+    //*********************************
+    // FxCop bug, suppress the message
+    //*********************************
+    [SuppressMessage("Microsoft.Portability", "CA1901:PInvokeDeclarationsShouldBePortable", MessageId = "0")]
+    public static extern IntPtr WindowFromPoint(Point point);
 
-        [DllImport("Kernel32.dll", CharSet = CharSet.Auto)]
-        public static extern int GetCurrentThreadId();
+    [DllImport("Kernel32.dll", CharSet = CharSet.Auto)]
+    public static extern int GetCurrentThreadId();
 
-        public delegate IntPtr HookProc(int code, IntPtr wParam, IntPtr lParam);
+    public delegate IntPtr HookProc(int code, IntPtr wParam, IntPtr lParam);
 
-        [DllImport("user32.dll")]
-        public static extern IntPtr SetWindowsHookEx(Win32.HookType code, HookProc func, IntPtr hInstance, int threadID);
+    [DllImport("user32.dll")]
+    public static extern IntPtr SetWindowsHookEx(Win32.HookType code, HookProc func, IntPtr hInstance, int threadID);
 
-        [DllImport("user32.dll")]
-        public static extern int UnhookWindowsHookEx(IntPtr hhook);
+    [DllImport("user32.dll")]
+    public static extern int UnhookWindowsHookEx(IntPtr hhook);
 
-        [DllImport("user32.dll")]
-        public static extern IntPtr CallNextHookEx(IntPtr hhook, int code, IntPtr wParam, IntPtr lParam);
-	}
+    [DllImport("user32.dll")]
+    public static extern IntPtr CallNextHookEx(IntPtr hhook, int code, IntPtr wParam, IntPtr lParam);
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Properties/AssemblyInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Properties/AssemblyInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Properties/AssemblyInfo.cs	(revision 4068)
@@ -1,7 +1,6 @@
 ﻿using System;
+using System.Diagnostics.CodeAnalysis;
 using System.Reflection;
-using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
-using System.Diagnostics.CodeAnalysis;
 
 [assembly: AssemblyTitle("DockPanel Suite for .Net 2.0")]
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.log4net/1.2.10.0/HeuristicLablog4netPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.log4net/1.2.10.0/HeuristicLablog4netPlugin.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.log4net/1.2.10.0/HeuristicLablog4netPlugin.cs	(revision 4068)
@@ -20,7 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Text;
 using HeuristicLab.PluginInfrastructure;
 
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ActionUserInterfaceItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ActionUserInterfaceItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ActionUserInterfaceItem.cs	(revision 4068)
@@ -21,7 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/AsynchronousContentView.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/AsynchronousContentView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/AsynchronousContentView.cs	(revision 4068)
@@ -21,13 +21,5 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
-using System.Windows.Forms;
 using System.Threading;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.MainForm.WindowsForms {
@@ -62,6 +54,6 @@
       IAsyncResult result = BeginInvoke(method, args);
       result.AsyncWaitHandle.WaitOne(1000, false);
-      if (result.IsCompleted) try { EndInvoke(result); } catch (ObjectDisposedException) { }
-      else {
+      if (result.IsCompleted) try { EndInvoke(result); }
+        catch (ObjectDisposedException) { } else {
         ThreadPool.RegisterWaitForSingleObject(result.AsyncWaitHandle,
           new WaitOrTimerCallback((x, b) => { try { EndInvoke(result); } catch (ObjectDisposedException) { } }),
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ContentView.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ContentView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ContentView.cs	(revision 4068)
@@ -21,13 +21,7 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
+using System.Reflection;
 using System.Windows.Forms;
 using HeuristicLab.Common;
-using System.Reflection;
 
 namespace HeuristicLab.MainForm.WindowsForms {
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/DockForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/DockForm.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/DockForm.cs	(revision 4068)
@@ -21,9 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using WeifenLuo.WinFormsUI.Docking;
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/DockingMainForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/DockingMainForm.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/DockingMainForm.cs	(revision 4068)
@@ -21,12 +21,5 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-using WeifenLuo.WinFormsUI.Docking;
 
 namespace HeuristicLab.MainForm.WindowsForms {
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/DocumentForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/DocumentForm.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/DocumentForm.cs	(revision 4068)
@@ -21,9 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/MainForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/MainForm.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/MainForm.cs	(revision 4068)
@@ -21,16 +21,11 @@
 
 using System;
+using System.Collections;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-
+using HeuristicLab.Common;
 using HeuristicLab.PluginInfrastructure;
-using System.Collections;
 using WeifenLuo.WinFormsUI.Docking;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.MainForm.WindowsForms {
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/MenuItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/MenuItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/MenuItem.cs	(revision 4068)
@@ -19,12 +19,8 @@
  */
 #endregion
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 
 namespace HeuristicLab.MainForm.WindowsForms {
-  public abstract class MenuItem : ActionUserInterfaceItem,IMenuItem{
+  public abstract class MenuItem : ActionUserInterfaceItem, IMenuItem {
     public virtual Keys ShortCutKeys {
       get { return Keys.None; }
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/MultipleDocumentMainForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/MultipleDocumentMainForm.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/MultipleDocumentMainForm.cs	(revision 4068)
@@ -21,10 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/SideBar.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/SideBar.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/SideBar.cs	(revision 4068)
@@ -20,11 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using WeifenLuo.WinFormsUI.Docking;
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/SingleDocumentMainForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/SingleDocumentMainForm.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/SingleDocumentMainForm.cs	(revision 4068)
@@ -21,12 +21,5 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-using WeifenLuo.WinFormsUI.Docking;
 
 namespace HeuristicLab.MainForm.WindowsForms {
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Tests/ContentViewTests.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Tests/ContentViewTests.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Tests/ContentViewTests.cs	(revision 4068)
@@ -1,11 +1,8 @@
 ﻿using System;
-using System.Text;
-using System.Collections.Generic;
 using System.Linq;
+using HeuristicLab.Common;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.PluginInfrastructure;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Common;
-using System.Reflection;
-using HeuristicLab.MainForm.WindowsForms;
 
 namespace HeuristicLab.MainForm.WindowsForms_3._3.Tests {
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Tests/Properties/AssemblyInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Tests/Properties/AssemblyInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/Tests/Properties/AssemblyInfo.cs	(revision 4068)
@@ -1,4 +1,3 @@
 ﻿using System.Reflection;
-using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
 
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ToolBarItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ToolBarItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ToolBarItem.cs	(revision 4068)
@@ -20,8 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/View.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/View.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/View.cs	(revision 4068)
@@ -22,7 +22,6 @@
 using System;
 using System.Linq;
+using System.Reflection;
 using System.Windows.Forms;
-using System.Reflection;
-using System.ComponentModel;
 
 namespace HeuristicLab.MainForm.WindowsForms {
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ViewContextMenuStrip.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ViewContextMenuStrip.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ViewContextMenuStrip.cs	(revision 4068)
@@ -22,8 +22,5 @@
 using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Diagnostics;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ViewHost.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ViewHost.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ViewHost.cs	(revision 4068)
@@ -24,5 +24,4 @@
 using System.Linq;
 using System.Windows.Forms;
-using HeuristicLab.MainForm;
 using HeuristicLab.Common;
 
Index: /trunk/sources/HeuristicLab.MainForm/3.3/ActionUserInterfaceItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/ActionUserInterfaceItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/ActionUserInterfaceItem.cs	(revision 4068)
@@ -21,7 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 
 namespace HeuristicLab.MainForm {
Index: /trunk/sources/HeuristicLab.MainForm/3.3/ContentAttribute.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/ContentAttribute.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/ContentAttribute.cs	(revision 4068)
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Reflection;
 
Index: /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IActionUserInterfaceItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IActionUserInterfaceItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IActionUserInterfaceItem.cs	(revision 4068)
@@ -20,8 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using System.Drawing;
 
Index: /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IContentView.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IContentView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IContentView.cs	(revision 4068)
@@ -21,7 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.Text;
-using System.ComponentModel;
 using HeuristicLab.Common;
 
Index: /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IMainForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IMainForm.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IMainForm.cs	(revision 4068)
@@ -22,8 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Drawing;
-using System.ComponentModel;
 using HeuristicLab.Common;
 
